<?php
	/**
	 * Elementor related code
	 */


	// 'elementor/element/<element>/<section>/before_section_end'

	/**
	 * Text Editor enhancements
	 */
	add_action( 'elementor/element/text-editor/section_editor/before_section_end', function($text, $args) {
		$text->add_control(
			'mb_link_style',
			[
				'label' => __( 'Link style', 'ssss' ),
				'type' => Elementor\Controls_Manager::SELECT,
				'options' => [
					'none' => __( 'Default', 'elementor' ),
					'alt' => __( 'Alternativ', 'elementor' ),
					'invisible' => __( 'Invisible', 'elementor' ),
				],
				'default' => 'none',
				// automatically add a class, i.e. mb-link-alt or mb-link-invisible
				'prefix_class' => 'mb-link-',
				// alternative: set some CSS styles
				//'selectors' => [
				//	'{{WRAPPER}} .elementor-counter-number-wrapper' => 'color: {{VALUE}};',
				//],
			]
		);
	}, 10, 2);



	/**
	 * Register custom Widgets
	 */
	add_action( 'elementor/widgets/widgets_registered', function() {
		require_once __DIR__.'/elementor-cta-widget.php';
		Elementor\Plugin::instance()->widgets_manager->register( new Elementor\Widget_MB_CTA() );
	});




	/**
	 * New "Skin" for the blogs
	 */
	add_action('elementor/widget/posts/skins_init', function($widget) {
		require_once __DIR__.'/blog-posts-skin.php';
		$widget->add_skin( new  ElementorPro\Modules\Posts\Skins\Posts_Skin_Blog( $widget ) );
	});



	/**
	 * Hide certain blog posts from the list
	 * @see https://developer.wordpress.org/reference/classes/wp_query/
	 */
	add_action('elementor/query/mb-wp-meetup', function($query) {
		/** @var \WP_Query $query */

		// bail early
		if($query->get('post_type') !== 'post') return;

		$query->set('meta_query', [
			[
				'key' => '_thumbnail_id',
				'compare' => 'EXISTS',
			],
		]);
	});